Summary:	A small build system with a focus on speed
Name:		ninja
Version:	1.8.2
Release:	1
License:	ASL 2.0
Group:		Development/Tools
Url:		http://martine.github.com/ninja/
Source0:	https://github.com/martine/ninja/archive/%{name}-%{version}.tar.gz
Source1:	%{name}.vim
Source2:	%{name}.macros
BuildRequires:	asciidoc
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	re2c
BuildRequires:	xsltproc
BuildRequires:	gtest-devel
Suggests:	%{name}-vim = %{EVRD}

%description
Ninja is a small build system with a focus on speed. It differs from other
build systems in two major respects: it is designed to have its input files
generated by a higher-level build system, and it is designed to run builds as
fast as possible.

%files
%doc COPYING README doc/manual.html
%{_bindir}/ninja
%{_sysconfdir}/bash_completion.d/
%{_sys_macros_dir}/%{name}.macros

#----------------------------------------------------------------------------

%package emacs
Summary:	Syntax highlighting etc. for Ninja files in emacs
Group:		Development/Tools
Suggests:	%{name} = %{EVRD}

%description emacs
Syntax highlighting etc. for Ninja files in emacs.

%files emacs
%{_datadir}/emacs/site-lisp/ninja-mode.el

#----------------------------------------------------------------------------

%package vim
Summary:	Syntax highlighting etc. for Ninja files in vim
Group:		Development/Tools
Suggests:	%{name} = %{EVRD}

%description vim
Syntax highlighting etc. for Ninja files in vim.

%files vim
%{_datadir}/vim/vimfiles/syntax/ninja.vim
%{_datadir}/vim/vimfiles/ftdetect/ninja.vim

#----------------------------------------------------------------------------

%package zsh
Summary:	Command line completion for Ninja in zsh
Group:		Development/Tools
Suggests:	%{name} = %{EVRD}

%description zsh
Command line completion for Ninja in zsh.

%files zsh
%{_datadir}/zsh/

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
CFLAGS="%{optflags}"
export CFLAGS
./bootstrap.py --verbose -- --debug
./ninja -v manual
./ninja -v ninja_test

%install
# TODO: Install ninja_syntax.py?
install -p -m 755 -d %{buildroot}%{_bindir}
install -p -m 755 ninja %{buildroot}%{_bindir}/

install -p -m 755 -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -p -m 644 misc/bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/ninja-bash-completion

install -p -m 755 -d %{buildroot}%{_datadir}/emacs/site-lisp
install -p -m 644 misc/ninja-mode.el %{buildroot}%{_datadir}/emacs/site-lisp/ninja-mode.el

install -p -m 755 -d %{buildroot}%{_datadir}/vim/vimfiles/syntax
install -p -m 644 misc/ninja.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax/ninja.vim
install -p -m 755 -d %{buildroot}%{_datadir}/vim/vimfiles/ftdetect
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/vim/vimfiles/ftdetect/ninja.vim

install -p -m 755 -d %{buildroot}%{_datadir}/zsh/site-functions
install -p -m 644 misc/zsh-completion %{buildroot}%{_datadir}/zsh/site-functions/_ninja

install -p -m 755 -d %{buildroot}%{_sys_macros_dir}
install -p -m 644 %{SOURCE2} %{buildroot}%{_sys_macros_dir}/%{name}.macros

%check
# workaround possible too low default limits
ulimit -n 2048
ulimit -u 2048

./ninja_test

%changelog

* Mon Jan 29 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.8.2-1
- (ce3249f) New version 1.8.2


